[jp] Can't compile jpilot-0.99-5 under gnome 2.2

Jason Day jasonday at worldnet.att.net
Wed Jun 11 22:57:19 EDT 2003


On Wed, Jun 11, 2003 at 10:08:35PM -0400, Gary Jaffe wrote:
> /usr/bin/ld: cannot find -lreadline
> 
> This I cannot understand, because I do have readline in /lib.  Here's
> the output of 'ldconfig -v | grep readline'.
> 
>         libreadline.so.4 -> libreadline.so.4.3
> 
> Anyone know what's wrong here?

I think you need to install libreadline-dev.  I'm not exactly sure what
the difference is between the libreadline.so.4 that's in libreadline,
and the libreadline.so that's in libreadline-dev, but I had to install
the dev package to get it to work.

HTH,
Jason
-- 
Jason Day                                       jasonday at
http://jasonday.home.att.net                    worldnet dot att dot net
 
"Of course I'm paranoid, everyone is trying to kill me."
    -- Weyoun-6, Star Trek: Deep Space 9



More information about the Jpilot mailing list